<?php
include 'post_contact_hold.php';

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Content-Type");
header("Access-Control-Allow-Methods: POST, OPTIONS");

if ($_SERVER["REQUEST_METHOD"] === "OPTIONS") {
    http_response_code(204);
    exit;
}

if ($_SERVER["REQUEST_METHOD"] === "POST") {

    $postData = file_get_contents("php://input");

    $userData = json_decode($postData, true);

    if ($userData !== null) {
        $data = array(
            "email" => $userData["email"],
            "attributes" => array(
                "nome" => $userData["nome"],
                "telefone" => $userData["telefone"],
                "utm_source" => $userData["utms"]["utm_source"] ? $userData["utms"]["utm_source"] : $userData["utms"]["utm_source"],
                "utm_campaign" => $userData["utms"]["utm_campaign"] ? $userData["utms"]["utm_campaign"] : $userData["utms"]["utm_campaign"],
                "utm_medium" => $userData["utms"]["utm_medium"] ? $userData["utms"]["utm_medium"] : $userData["utms"]["utm_medium"],
                "utm_term" => $userData["utms"]["utm_term"] ? $userData["utms"]["utm_term"] : $userData["utms"]["utm_term"],
            )
        );
        
        // Converte o novo array em uma string legível
        $dataString = "Dados formatados:\n" . print_r($data, true);
        
        // Escreve os dados formatados em um arquivo .txt na mesma pasta
        $file = 'dados_recebidos_manda_brevo_hold.txt';
        file_put_contents($file, $dataString, FILE_APPEND | LOCK_EX); // Adiciona ao final do arquivo

        $resultado = createContact($data);

        echo json_encode(array("success" => true, "message" => $resultado));
    } else {
        http_response_code(400);
        echo json_encode(array("success" => false, "message" => "Erro ao processar os dados."));
    }
} else {
    http_response_code(405);
    echo json_encode(array("success" => false, "message" => "Metodo nao permitido."));
}
