<?php
// Habilita CORS para permitir requisições de qualquer origem
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Content-Type, Authorization");
header("Access-Control-Allow-Methods: *"); // Permite qualquer método

// Recebe os dados enviados por GET ou POST
$data = [];
if (!empty($_POST)) {
    // Se houver dados POST, os captura
    $data = $_POST;
} elseif (!empty($_GET)) {
    // Se houver dados GET, os captura
    $data = $_GET;
} else {
    // Se não houver dados em POST ou GET, captura dados JSON brutos
    $input = file_get_contents('php://input');
    $data = json_decode($input, true); // Converte JSON em array
}


// Converte o novo array em uma string legível
$dataString = "Dados formatados:\n" . print_r($data, true);

// Escreve os dados formatados em um arquivo .txt na mesma pasta
$file = 'dados_recebidos_hold_naoformatado.txt';
file_put_contents($file, $dataString, FILE_APPEND | LOCK_EX); // Adiciona ao final do arquivo


// Verifica se os dados contêm os campos esperados
$name = isset($data['Nome']) ? $data['Nome'] : '';
$email = isset($data['E-mail*']) ? $data['E-mail*'] : '';
$phone = isset($data['Celular_(com_DDD)*']) ? $data['Celular_(com_DDD)*'] : '';

// Cria o novo array no formato solicitado
$formattedData = [
    'nome' => $name,
    'email' => $email,
    'telefone' => $phone,
];

// Converte o novo array em uma string legível
$dataString = "Dados formatados:\n" . print_r($formattedData, true);

// Escreve os dados formatados em um arquivo .txt na mesma pasta
$file = 'dados_recebidos_hold.txt';
file_put_contents($file, $dataString, FILE_APPEND | LOCK_EX); // Adiciona ao final do arquivo

// Prepara os dados para envio ao leads-brevo.php
$payload = json_encode([
    'nome' => $name,
    'email' => $email,
    'telefone' => $phone,
    'utms' => [
        'utm_source' => isset($data['utms']['utm_source']) ? $data['utms']['utm_source'] : '',
        'utm_campaign' => isset($data['utms']['utm_campaign']) ? $data['utms']['utm_campaign'] : '',
        'utm_medium' => isset($data['utms']['utm_medium']) ? $data['utms']['utm_medium'] : '',
        'utm_term' => isset($data['utms']['utm_term']) ? $data['utms']['utm_term'] : '',
    ]
]);

// Faz uma requisição POST para o leads-brevo.php
$ch = curl_init('https://gratitude.digital/api/api-rcma/leads-brevo-hold.php');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, ['Content-Type: application/json']);
curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);

$response = curl_exec($ch);
curl_close($ch);

// Retorna os dados formatados em formato JSON
header('Content-Type: application/json');
echo json_encode([
    'status' => 'success',
    'message' => 'Dados formatados e salvos com sucesso.',
    'formatted_data' => $formattedData,
    'response_brevo' => json_decode($response, true) // Retorna a resposta do leads-brevo.php
]);
